
CREATE TABLE `lists` (
 `uid` varchar(50)  NOT NULL,
 `list_id` int(8)  NOT NULL AUTO_INCREMENT,
 `name` varchar(50)  DEFAULT NULL,
 `position` varchar(20)  DEFAULT NULL,
 `expanded` int(1) NOT NULL DEFAULT '1',
 `project_id` int(8)  NOT NULL DEFAULT '0',
 PRIMARY KEY (`list_id`),
 KEY `list_id` (`list_id`)
);

CREATE TABLE `projects` (
 `uid` varchar(50)  NOT NULL,
 `project_id` int(8)  NOT NULL AUTO_INCREMENT,
 `name` varchar(20)  NOT NULL DEFAULT 'New Project',
 `position` int(8)  DEFAULT '0',
 PRIMARY KEY (`project_id`)
);

CREATE TABLE `todo` (
 `id` int(8)  NOT NULL AUTO_INCREMENT,
 `position` int(8)  NOT NULL DEFAULT '0',
 `text` varchar(255)  NOT NULL DEFAULT '',
 `date_added` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
 `list_id` int(8)  NOT NULL,
 `date_closed` datetime DEFAULT NULL,
 PRIMARY KEY (`id`),
 KEY `todo_id` (`id`)
);


